<div class="tw-flex tw-flex-col w-full h-screen tw-place-content-center tw-items-center bg-local tw-px-10 " style="background-image: url('./assets/images/bgg.png');
background-repeat: repeat;width: 100%;
  height: 100%;">

  <div class="tw-w-full md:tw-w-3/5 lg:tw-w-1/3 tw-px-5 md:tw-px-10 tw-py-10 md:tw-py-20 lg:tw-py-30  tw-bg-gradient-to-r tw-from-indigo-400 from-10% via-sky-500 via-90% tw-to-emerald-400 to-30% 
  tw-shadow-2xl tw-drop-shadow-xl tw-rounded-lg tw-opacity-90">
        <div class="tw-flex tw-flex-col">

            <div class="tw-place-content-center tw-items-center">
                <div class="tw-text-center">
                    <img class="tw-mx-auto tw-h-40 tw-w-auto tw-text-center" src="./assets/images/login_logo.png" alt="IPD Paperless">
                </div>
                <!-- <h2 class="tw-mt-10 tw-text-center tw-text-4xl tw-font-bold tw-leading-9 tw-tracking-tight tw-text-white">
                    SMART IPD</h2> -->
            </div>
            <div class="w-full">
                <p-messages></p-messages>
            </div>
            <div class="tw-mt-6 sm:tw-mx-auto sm:tw-w-full sm:tw-max-w-sm">
                <form class="tw-space-y-3" method="POST" name="form" [formGroup]="validateForm" (ngSubmit)="onSubmit()">
                    <div class="w-full mb-4">
                        <span class="p-input-icon-right w-full">
                            <i class="pi pi-user ml-4"></i>
                            <input type="text" id="username" name="username" formControlName="username" required
                                pInputText placeholder="Username" class="col-12">
                        </span>
                    </div>

                    <div class="h-fit w-full ">

                        <span> <p-password type="password" formControlName="password" class="w-full" [feedback]="false"
                                placeholder="Password"
                                styleClass="p-password p-component p-inputwrapper p-input-icon-right "
                                [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"
                                [toggleMask]="true"></p-password></span>

                    </div>

                    <div class="tw-text-sm">
                        <a href="#" class="tw-font-semibold hover:tw-text-indigo-700">Forgot
                            password?</a>
                    </div>

                    <div>
                        <button type="submit"
                            class="w-full tw-h-16 tw-ripple tw-opacity-100 tw-text-xl tw-font-bold tw-leading-9 tw-tracking-tight tw-text-gray-900 tw-rounded-2xl tw-text-center  focus-visible:tw-outline-2 focus-visible:tw-outline-offset-2 focus-visible:tw-outline-indigo-600 tw-bg-amber-200 hover:tw-bg-amber-400">
                            <i *ngIf="loading" class="pi pi-spin pi-spinner" style="font-size: 1.5rem;margin-right: 8px;color: black;"></i>
                            <i *ngIf="!loading" class="pi pi-unlock" style="font-size: 1.5rem;margin-right: 8px;"></i>
                            เข้าสู่ระบบ
                        </button>

                    </div>
                </form>

            </div>
        </div>

    </div>
</div>